c     Copyright (C)
c     2014-2018 Centre National de la Recherche Scientifique
c     2014-2018 Mesotar
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c
      subroutine remove_duplicates(Nk,spectrum)
      implicit none
      include 'max.inc'
c
c     Purpose: to identify and remove duplicates in nu/k(nu) arrays
c
c     I/O
c       + Nk: number of nu/k(nu) values
c       + spectrum: nu/k(nu) array
c

c     I/O
      integer Nk
      double precision spectrum(1:Nk_mx,1:2)
c     temp
      integer j,ik,ik2
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine remove_duplicates'

      ik=2
      do while (ik.le.Nk)
         if (spectrum(ik,1).eq.spectrum(ik-1,1)) then
            Nk=Nk-1
            if (ik.lt.Nk) then
               do ik2=ik,Nk
                  do j=1,2
                     spectrum(ik2,j)=spectrum(ik2+1,j)
                  enddo         ! j
               enddo            ! ik2
            endif
         endif
         ik=ik+1
      enddo

      return
      end
